#ifndef H_MUSE

#define H_MUSE

#if defined(THINK_C)
#define _H_MUSE
#endif

/*
 *			MUSE MEMORY DEBUG FACILITY
 *			0 - OFF
 *			1 - ON
*/

#define MUSE_DEBUG 0

#define XVT_R3_FONT 1
#ifndef H_MUSE1
#include "muse1.h"
#endif				/* H_MUSE1 */

#ifndef H_COORD
#include "coord.h"
#endif				/* H_COORD */

#ifndef H_UNIT_DEF
#include "unitdef.h"
#endif				/* H_COORD */

#ifndef H_MUSEDEF
#include "musedef.h"
#endif				/* H_MUSEDEF */

#ifndef H_MUSEFUNC
#include "musefunc.h"
#endif				/* H_MUSEFUNC */

#ifndef H_MUSE_DLL
#include "musedll.h"
#endif				/* H_MUSE_DLL */

#ifndef H_MUSEPLAT
#include "museplat.h"
#endif				/* H_MUSEPLAT */

#ifndef H_MUSEMEM
#include "musemem.h"
#endif				/* H_MUSEMEM */

#ifndef H_VIEW
#include "view.h"
#endif                          /* H_VIEW */

#ifndef H_PHIGS
#include "phigs.h"
#endif                          /* H_PHIGS */

#if XVT_OS == XVT_OS_SUNOS
#ifndef H_SUNRAST
#include "sunrast.h"
#endif
#endif                          /* H_SUNRAST */

void* xvt_gmem_alloc(long bytes);

int xvt_gmem_free(void* ptr);

void* xvt_gmem_lock(void* ptr);

int xvt_gmem_unlock(void* ptr);

void xvt_fsys_set_dir(char* path);

#endif				/* ifdef H_MUSE */

